Skip to main content
GET
/
referrals
/
businesses
/
{id}
Retrieve a business referral
curl --request GET \
  --url https://{defaultHost}/referrals/businesses/{id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "business_referral",
  "id": "<string>",
  "account": {
    "id": "<string>",
    "title": "<string>",
    "logo_url": "<string>",
    "route": "<string>",
    "capabilities": {
      "accept_card_payments": "active",
      "accept_bank_payments": "active",
      "accept_bnpl_payments": "active",
      "standard_payout": "active",
      "instant_payout": "active",
      "crypto_payout": "active",
      "transfer": "active",
      "bank_deposit": "active",
      "crypto_deposit": "active",
      "card_deposit": "active",
      "card_issuing": "active"
    },
    "required_actions": [
      {
        "action": "deposit_funds",
        "status": "required",
        "title": "<string>",
        "description": "<string>",
        "cta_label": "<string>",
        "cta": "<string>",
        "icon_url": "<string>",
        "blocked_capabilities": [
          "<string>"
        ]
      }
    ],
    "recommended_actions": [
      {
        "action": "apply_for_financing",
        "status": "optional",
        "title": "<string>",
        "description": "<string>",
        "cta_label": "<string>",
        "cta": "<string>",
        "icon_url": "<string>",
        "blocked_capabilities": [
          "<string>"
        ]
      }
    ]
  },
  "user": {
    "id": "<string>",
    "username": "<string>",
    "name": "<string>",
    "profile_picture": {
      "url": "<string>"
    }
  },
  "payout_percentage": 123,
  "referral_started_at": "2023-11-07T05:31:56Z",
  "referral_expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "volume_usd": {
    "attributed": "<string>",
    "awaiting_settlement": "<string>",
    "settled": "<string>"
  },
  "earnings_usd": {
    "total": "<string>",
    "pending": "<string>",
    "completed": "<string>"
  }
}

Authorizations

Authorization
string
header
required

An account API key, account scoped JWT, app API key, or user OAuth token.

Headers

Api-Version-Date
string<date>

Pins the request to a dated API version.

Example:

"2026-07-01"

Path Parameters

id
string
required

The business referral ID (a coma_ identifier).

Response

business referral retrieved

object
enum<string>
required
Available options:
business_referral
id
string
required

Business referral ID.

account
object | null
required

Referred account.

user
object | null
required

Owner of the referred account.

status
enum<string>
required

Current referral status.

Available options:
active,
removed
payout_percentage
number<float>
required

Referrer's share of Whop gross profit, as a fraction (0.3 = 30%).

referral_started_at
string<date-time> | null
required

When the referral became active.

referral_expires_at
string<date-time> | null
required

When the referral expires.

created_at
string<date-time>
required

When the business referral was created.

volume_usd
object
required
earnings_usd
object
required